[arch-commits] CVS update of unstable/x11/fglrx-mm (PKGBUILD fglrx-mm.install)
Travis Willard
travis at archlinux.org
Mon Apr 23 03:50:03 UTC 2007
Date: Sunday, April 22, 2007 @ 23:50:03
Author: travis
Path: /home/cvs-unstable/unstable/x11/fglrx-mm
Added: PKGBUILD (1.1) fglrx-mm.install (1.1)
upgpkg: fglrx-mm 8.36.5-1
Upstream update - renamed from ati-fglrx-* to fglrx-* since AMD buyout and subsequent drop of ATI branding.
------------------+
PKGBUILD | 56 +++++++++++++++++++++++++++++++++++++++++++++++++++++
fglrx-mm.install | 35 +++++++++++++++++++++++++++++++++
2 files changed, 91 insertions(+)
Index: unstable/x11/fglrx-mm/PKGBUILD
diff -u /dev/null unstable/x11/fglrx-mm/PKGBUILD:1.1
--- /dev/null Sun Apr 22 23:50:03 2007
+++ unstable/x11/fglrx-mm/PKGBUILD Sun Apr 22 23:50:03 2007
@@ -0,0 +1,56 @@
+# $Id: PKGBUILD,v 1.1 2007/04/23 03:50:03 travis Exp $
+# Maintainer: Travis Willard <travisw at wmpub.ca>
+# Contributor: amdviaman
+
+pkgname=fglrx-mm
+pkgver=8.36.5
+pkgrel=1
+pkgdesc="Proprietary -mm kernel drivers/modules for the AMD/ATI RADEON (9500 and later), \
+ MOBILITY RADEON (M10 and later), RADEON XPRESS IGP and FireGL (Z1 and later) series of graphics accelerators."
+arch=('i686' 'x86_64')
+url="http://www.ati.com"
+license=('custom:"ATI"') #license provided by ati-fglrx-utils package
+depends=('fglrx-utils' 'kernel26mm')
+makedepends=()
+replaces=('ati-fglrx-mm')
+options=('!strip')
+install=$pkgname.install
+_kernver=2.6.21-mm
+source=(http://www2.ati.com/drivers/linux/ati-driver-installer-$pkgver-x86.x86_64.run)
+
+build() {
+ cd $startdir/src
+
+ [ "$CARCH" = "i686" ] && _arch="x86"
+ [ "$CARCH" = "x86_64" ] && _arch="x86_64"
+
+ chmod a+x ati-driver-installer-$pkgver-x86.x86_64.run
+ ./ati-driver-installer-$pkgver-x86.x86_64.run --extract archive_files
+
+
+ cp $startdir/src/archive_files/arch/${_arch}/* $startdir/src/ -r
+ cp $startdir/src/archive_files/common/* $startdir/src/ -r
+
+ if [ "$CARCH" == "x86_64" ]; then
+ cp $startdir/src/archive_files/x710_64a/* $startdir/src/ -r
+ else
+ cp $startdir/src/archive_files/x710/* $startdir/src/ -r
+ fi
+ cd $startdir/src
+ cd $startdir/src/lib/modules/fglrx/build_mod/
+
+ # Build the kernel module
+ # patch -Np0 -i $startdir/src/firegl_public.patch || return 1
+ cp 2.6.x/Makefile .
+ make -C /lib/modules/${_kernver}/build SUBDIRS="`pwd`" modules || return 1
+
+ # Install the kernel module
+ install -m 644 -D $startdir/src/lib/modules/fglrx/build_mod/fglrx.ko \
+ $startdir/pkg/lib/modules/${_kernver}/video/fglrx.ko
+
+ sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" $startdir/$install
+
+}
+
+md5sums=('bf056417ac6c57acdf5e5a6bb99a7dae')
+sha1sums=('c0edc17d1816ec7415d64d0cc85193060f61e080')
Index: unstable/x11/fglrx-mm/fglrx-mm.install
diff -u /dev/null unstable/x11/fglrx-mm/fglrx-mm.install:1.1
--- /dev/null Sun Apr 22 23:50:03 2007
+++ unstable/x11/fglrx-mm/fglrx-mm.install Sun Apr 22 23:50:03 2007
@@ -0,0 +1,35 @@
+# This is a default template for a post-install scriptlet. You can
+# remove any functions you don't need (and this header).
+
+# arg 1: the new package version
+pre_install() {
+ /bin/true
+}
+
+# arg 1: the new package version
+post_install() {
+ echo "PLEASE NOTE:"
+ echo "--------------------------------------------------------------"
+ echo "You can use the tool 'aticonfig' to generate an xorg.conf file."
+ echo "Remember to add fglrx to the MODULES list in /etc/rc.conf."
+ echo "--------------------------------------------------------------"
+ KERNEL_VERSION=2.6.21-mm
+ depmod -v $KERNEL_VERSION > /dev/null 2>&1
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ KERNEL_VERSION=2.6.21-mm
+ depmod -v $KERNEL_VERSION > /dev/null 2>&1
+}
+
+# arg 1: the old package version
+post_remove() {
+ KERNEL_VERSION=2.6.21-mm
+ depmod -v $KERNEL_VERSION > /dev/null 2>&1
+}
+
+op=$1
+shift
+$op $*
More information about the arch-commits
mailing list